Xeonr Developer Docs
API SpecificationEnvironments

ListEnvironments

POST
/containers.api.v1.EnvironmentService/ListEnvironments

Authorization

BearerAuth
AuthorizationBearer <token>

A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC token for humans. The key's namespace and role are pinned server-side.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

namespace?string
pageSize?integer
pageToken?string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://containers.xeonr.io/containers.api.v1.EnvironmentService/ListEnvironments" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "environments": [
    {
      "environmentId": "string",
      "namespace": "string",
      "imageRef": "string",
      "imageDigest": "string",
      "runtime": "SANDBOX_RUNTIME_UNSPECIFIED",
      "parameters": [
        {
          "name": "string",
          "kind": "KIND_UNSPECIFIED",
          "jsonSchema": "string",
          "required": true,
          "mountPath": "string"
        }
      ],
      "outputs": [
        {
          "name": "string",
          "kind": "KIND_UNSPECIFIED",
          "path": "string",
          "maxBytes": 0,
          "required": true,
          "mimeHint": "string"
        }
      ],
      "createdAtUnix": 0,
      "pinned": true,
      "security": {
        "runAsRoot": true,
        "writableRootfs": true
      },
      "label": "string",
      "buildSpec": {
        "baseImage": "string",
        "steps": [
          {
            "argv": [
              "string"
            ]
          }
        ],
        "cacheInputs": [
          {
            "name": "string",
            "content": null
          }
        ],
        "sharedCache": true,
        "contextSnapshotId": "string",
        "stages": [
          {
            "name": "string",
            "baseImage": "string",
            "packages": [
              "string"
            ],
            "workdir": "string",
            "ops": [
              {
                "copy": {
                  "from": "string",
                  "src": [
                    "string"
                  ],
                  "dst": "string"
                }
              }
            ],
            "env": {
              "property1": "string",
              "property2": "string"
            },
            "entrypoint": [
              "string"
            ]
          }
        ]
      },
      "defaultArgv": [
        "string"
      ],
      "imageEntrypoint": [
        "string"
      ]
    }
  ],
  "nextPageToken": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}